List Memberships
curl --request GET \
--url https://api.decodahealth.com/inventory/memberships \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/memberships"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"price": 123,
"id": "<string>",
"externalId": "<string>",
"description": "<string>",
"globalDiscountPercentage": 0,
"patientCreditAmount": 0,
"patientCreditFrequency": "MONTHLY",
"patientCreditExpiryDays": 123,
"maxRenewals": 0,
"autoRenew": true,
"setupFee": 0,
"freezeFee": 0,
"minimumBillingCycles": 0,
"billingFrequency": "MONTHLY",
"textColor": "<string>",
"isArchived": false,
"ruleSetId": "<string>",
"discounts": [
{
"membershipId": "<string>",
"id": "<string>",
"itemId": "<string>",
"itemCategory": "<string>",
"isPhysical": true,
"discountPercentage": 123,
"discountAmount": 123,
"creditAmount": 123,
"quantity": 123,
"rollover": false,
"rolloverExpiryDays": 123,
"neverExpire": false,
"group": "<string>",
"isArchived": false
}
],
"memberCount": 0,
"totalRevenue": 0
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memberships
List Memberships
List all memberships with optional filtering.
GET
/
inventory
/
memberships
List Memberships
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Filter by membership name
Minimum price filter
Maximum price filter
Filter by archived status
Page number
Items per page
⌘I
